Subject: Re: bug#9480: 24.0.50; (vc-git) stash@{n} - requires shell quoting?

From: Jambunathan K <[email-masked]>
Date: Wed, 14 Sep 2011 16:28:27 +0530

Glenn Morris <[email-masked]> writes:

> Eli Zaretskii wrote:
>
>> This should generally work fine, except that IMO globbing in this case
>> is simply buggy: the braces are removed although a real shell would
>> expand "{0}" into itself.
>
> I agree.

Glenn
Thanks for the reference note. I will file a bug report with Cygwin very
soon.

Eli
Feel free to close this bug.

> http://www.gnu.org/s/bash/manual/bash.html#Brace-Expansion
>
>   A correctly-formed brace expansion must contain unquoted opening and
>   closing braces, and at least one unquoted comma or a valid sequence
>   expression. Any incorrectly formed brace expansion is left unchanged.
>
> http://tiswww.case.edu/php/chet/bash/FAQ
>
> Bash FAQ D2:
>
> D2) Why doesn't bash treat brace expansions exactly like csh?
>
>     The only difference between bash and csh brace expansion is that
>     bash requires a brace expression to contain at least one unquoted
>     comma if it is to be expanded.  Any brace-surrounded word not
>     containing an unquoted comma is left unchanged by the brace
>     expansion code.  This affords the greatest degree of sh
>     compatibility.